"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatConfigs = void 0;
const parser_js_1 = require("./parser.js");
const index_js_1 = require("./configs/index.js");
const languageOptions = {
    parser: { parseForESLint: parser_js_1.parseForESLint },
};
exports.flatConfigs = {
    'operations-all': {
        languageOptions,
        rules: {
            ...index_js_1.configs['operations-recommended'].rules,
            ...index_js_1.configs['operations-all'].rules,
        },
    },
    'operations-recommended': {
        languageOptions,
        rules: index_js_1.configs['operations-recommended'].rules,
    },
    relay: {
        languageOptions,
        rules: index_js_1.configs.relay.rules,
    },
    'schema-all': {
        languageOptions,
        rules: {
            ...index_js_1.configs['schema-recommended'].rules,
            ...index_js_1.configs['schema-all'].rules,
        },
    },
    'schema-recommended': {
        languageOptions,
        rules: index_js_1.configs['schema-recommended'].rules,
    },
};
