"use strict";
/*
 * 🚨 IMPORTANT! Do not manually modify this file. Run: `yarn generate-configs`
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.rules = void 0;
const graphql_js_validation_js_1 = require("./graphql-js-validation.js");
const alphabetize_js_1 = require("./alphabetize.js");
const description_style_js_1 = require("./description-style.js");
const input_name_js_1 = require("./input-name.js");
const lone_executable_definition_js_1 = require("./lone-executable-definition.js");
const match_document_filename_js_1 = require("./match-document-filename.js");
const naming_convention_js_1 = require("./naming-convention.js");
const no_anonymous_operations_js_1 = require("./no-anonymous-operations.js");
const no_case_insensitive_enum_values_duplicates_js_1 = require("./no-case-insensitive-enum-values-duplicates.js");
const no_deprecated_js_1 = require("./no-deprecated.js");
const no_duplicate_fields_js_1 = require("./no-duplicate-fields.js");
const no_hashtag_description_js_1 = require("./no-hashtag-description.js");
const no_one_place_fragments_js_1 = require("./no-one-place-fragments.js");
const no_root_type_js_1 = require("./no-root-type.js");
const no_scalar_result_type_on_mutation_js_1 = require("./no-scalar-result-type-on-mutation.js");
const no_typename_prefix_js_1 = require("./no-typename-prefix.js");
const no_unreachable_types_js_1 = require("./no-unreachable-types.js");
const no_unused_fields_js_1 = require("./no-unused-fields.js");
const relay_arguments_js_1 = require("./relay-arguments.js");
const relay_connection_types_js_1 = require("./relay-connection-types.js");
const relay_edge_types_js_1 = require("./relay-edge-types.js");
const relay_page_info_js_1 = require("./relay-page-info.js");
const require_deprecation_date_js_1 = require("./require-deprecation-date.js");
const require_deprecation_reason_js_1 = require("./require-deprecation-reason.js");
const require_description_js_1 = require("./require-description.js");
const require_field_of_type_query_in_mutation_result_js_1 = require("./require-field-of-type-query-in-mutation-result.js");
const require_id_when_available_js_1 = require("./require-id-when-available.js");
const require_nullable_fields_with_oneof_js_1 = require("./require-nullable-fields-with-oneof.js");
const require_type_pattern_with_oneof_js_1 = require("./require-type-pattern-with-oneof.js");
const selection_set_depth_js_1 = require("./selection-set-depth.js");
const strict_id_in_types_js_1 = require("./strict-id-in-types.js");
const unique_fragment_name_js_1 = require("./unique-fragment-name.js");
const unique_operation_name_js_1 = require("./unique-operation-name.js");
exports.rules = {
    ...graphql_js_validation_js_1.GRAPHQL_JS_VALIDATIONS,
    alphabetize: alphabetize_js_1.rule,
    'description-style': description_style_js_1.rule,
    'input-name': input_name_js_1.rule,
    'lone-executable-definition': lone_executable_definition_js_1.rule,
    'match-document-filename': match_document_filename_js_1.rule,
    'naming-convention': naming_convention_js_1.rule,
    'no-anonymous-operations': no_anonymous_operations_js_1.rule,
    'no-case-insensitive-enum-values-duplicates': no_case_insensitive_enum_values_duplicates_js_1.rule,
    'no-deprecated': no_deprecated_js_1.rule,
    'no-duplicate-fields': no_duplicate_fields_js_1.rule,
    'no-hashtag-description': no_hashtag_description_js_1.rule,
    'no-one-place-fragments': no_one_place_fragments_js_1.rule,
    'no-root-type': no_root_type_js_1.rule,
    'no-scalar-result-type-on-mutation': no_scalar_result_type_on_mutation_js_1.rule,
    'no-typename-prefix': no_typename_prefix_js_1.rule,
    'no-unreachable-types': no_unreachable_types_js_1.rule,
    'no-unused-fields': no_unused_fields_js_1.rule,
    'relay-arguments': relay_arguments_js_1.rule,
    'relay-connection-types': relay_connection_types_js_1.rule,
    'relay-edge-types': relay_edge_types_js_1.rule,
    'relay-page-info': relay_page_info_js_1.rule,
    'require-deprecation-date': require_deprecation_date_js_1.rule,
    'require-deprecation-reason': require_deprecation_reason_js_1.rule,
    'require-description': require_description_js_1.rule,
    'require-field-of-type-query-in-mutation-result': require_field_of_type_query_in_mutation_result_js_1.rule,
    'require-id-when-available': require_id_when_available_js_1.rule,
    'require-nullable-fields-with-oneof': require_nullable_fields_with_oneof_js_1.rule,
    'require-type-pattern-with-oneof': require_type_pattern_with_oneof_js_1.rule,
    'selection-set-depth': selection_set_depth_js_1.rule,
    'strict-id-in-types': strict_id_in_types_js_1.rule,
    'unique-fragment-name': unique_fragment_name_js_1.rule,
    'unique-operation-name': unique_operation_name_js_1.rule,
};
