import { GraphQLESLintRule } from '../types.js';
import { FromSchema } from 'json-schema-to-ts';
declare const schema: {
    readonly type: "array";
    readonly maxItems: 1;
    readonly items: {
        readonly type: "object";
        readonly additionalProperties: false;
        readonly minProperties: 1;
        readonly properties: {
            readonly style: {
                readonly enum: readonly ["block", "inline"];
                readonly default: "block";
            };
        };
    };
};
export type RuleOptions = FromSchema<typeof schema>;
export declare const rule: GraphQLESLintRule<RuleOptions>;
export {};
