export declare const rules: {
    alphabetize: import("../types.js").GraphQLESLintRule<{
        definitions?: boolean;
        selections?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<"OperationDefinition" | "FragmentDefinition">[];
        arguments?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<"Field" | "Directive" | "FieldDefinition" | "DirectiveDefinition">[];
        values?: "EnumTypeDefinition"[];
        fields?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<"ObjectTypeDefinition" | "InterfaceTypeDefinition" | "InputObjectTypeDefinition">[];
        variables?: "OperationDefinition"[];
        groups?: string[];
    }[], false>;
    'description-style': import("../types.js").GraphQLESLintRule<{
        style?: "block" | "inline";
    }[], false>;
    'input-name': import("../types.js").GraphQLESLintRule<{
        checkInputType?: boolean;
        caseSensitiveInputType?: boolean;
        checkQueries?: boolean;
        checkMutations?: boolean;
    }[], false>;
    'lone-executable-definition': import("../types.js").GraphQLESLintRule<{
        ignore?: ("fragment" | "query" | "mutation" | "subscription")[];
    }[], false>;
    'match-document-filename': import("../types.js").GraphQLESLintRule<{
        fragment?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle"> | {
            style?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle">;
            suffix?: string;
            prefix?: string;
        };
        query?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle"> | {
            style?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle">;
            suffix?: string;
            prefix?: string;
        };
        mutation?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle"> | {
            style?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle">;
            suffix?: string;
            prefix?: string;
        };
        subscription?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle"> | {
            style?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<import("../utils.js").CaseStyle | "matchDocumentStyle">;
            suffix?: string;
            prefix?: string;
        };
        fileExtension?: ".gql" | ".graphql";
    }[], false>;
    'naming-convention': import("../types.js").GraphQLESLintRule<{
        [x: string]: unknown;
        types?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<"camelCase" | "PascalCase" | "snake_case" | "UPPER_CASE"> | {
            style?: import("json-schema-to-ts/lib/types/type-utils/writable.js").DeepWritable<"camelCase" | "PascalCase" | "snake_case" | "UPPER_CASE">;
            suffix?: string;
            prefix?: string;
            forbiddenPrefixes?: string[];
            forbiddenSuffixes?: string[];
            ignorePattern?: string;
        };
        allowLeadingUnderscore?: boolean;
        allowTrailingUnderscore?: boolean;
    }[], false>;
    'no-anonymous-operations': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-case-insensitive-enum-values-duplicates': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-deprecated': import("../types.js").GraphQLESLintRule<[], true>;
    'no-duplicate-fields': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-hashtag-description': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-one-place-fragments': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-root-type': import("../types.js").GraphQLESLintRule<{
        disallow: ("mutation" | "subscription")[];
    }[], false>;
    'no-scalar-result-type-on-mutation': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-typename-prefix': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-unreachable-types': import("../types.js").GraphQLESLintRule<any[], false>;
    'no-unused-fields': import("../types.js").GraphQLESLintRule<any[], false>;
    'relay-arguments': import("../types.js").GraphQLESLintRule<{
        includeBoth?: boolean;
    }[], true>;
    'relay-connection-types': import("../types.js").GraphQLESLintRule<any[], false>;
    'relay-edge-types': import("../types.js").GraphQLESLintRule<{
        withEdgeSuffix?: boolean;
        shouldImplementNode?: boolean;
        listTypeCanWrapOnlyEdgeType?: boolean;
    }[], true>;
    'relay-page-info': import("../types.js").GraphQLESLintRule<any[], false>;
    'require-deprecation-date': import("../types.js").GraphQLESLintRule<{
        argumentName?: string;
    }[], false>;
    'require-deprecation-reason': import("../types.js").GraphQLESLintRule<any[], false>;
    'require-description': import("../types.js").GraphQLESLintRule<import("./require-description.js").RuleOptions, false>;
    'require-field-of-type-query-in-mutation-result': import("../types.js").GraphQLESLintRule<any[], false>;
    'require-id-when-available': import("../types.js").GraphQLESLintRule<{
        fieldName?: string | string[];
    }[], true>;
    'require-nullable-fields-with-oneof': import("../types.js").GraphQLESLintRule<any[], false>;
    'require-type-pattern-with-oneof': import("../types.js").GraphQLESLintRule<any[], false>;
    'selection-set-depth': import("../types.js").GraphQLESLintRule<{
        ignore?: string[];
        maxDepth: number;
    }[], false>;
    'strict-id-in-types': import("../types.js").GraphQLESLintRule<{
        acceptedIdNames?: string[];
        acceptedIdTypes?: string[];
        exceptions?: {
            types?: string[];
            suffixes?: string[];
        };
    }[], false>;
    'unique-fragment-name': import("../types.js").GraphQLESLintRule<any[], false>;
    'unique-operation-name': import("../types.js").GraphQLESLintRule<any[], false>;
};
