import { GraphQLESLintRule } from '../types.js';
import { FromSchema } from 'json-schema-to-ts';
declare const schema: {
    readonly type: "array";
    readonly maxItems: 1;
    readonly items: {
        readonly type: "object";
        readonly additionalProperties: false;
        readonly properties: {
            readonly checkInputType: {
                readonly type: "boolean";
                readonly default: false;
                readonly description: "Check that the input type name follows the convention <mutationName>Input";
            };
            readonly caseSensitiveInputType: {
                readonly type: "boolean";
                readonly default: true;
                readonly description: "Allow for case discrepancies in the input type name";
            };
            readonly checkQueries: {
                readonly type: "boolean";
                readonly default: false;
                readonly description: "Apply the rule to Queries";
            };
            readonly checkMutations: {
                readonly type: "boolean";
                readonly default: true;
                readonly description: "Apply the rule to Mutations";
            };
        };
    };
};
export type RuleOptions = FromSchema<typeof schema>;
export declare const rule: GraphQLESLintRule<RuleOptions>;
export {};
