import { GraphQLESLintRule } from '../types.cjs';
import { FromSchema } from 'json-schema-to-ts';
declare const schema: {
    readonly type: "array";
    readonly maxItems: 1;
    readonly items: {
        readonly type: "object";
        readonly minProperties: 1;
        readonly additionalProperties: false;
        readonly properties: {
            readonly ignore: {
                readonly maxItems: 3;
                readonly items: {
                    readonly enum: readonly ["fragment", "query", "mutation", "subscription"];
                };
                readonly description: "Allow certain definitions to be placed alongside others.";
                readonly type: "array";
                readonly uniqueItems: true;
                readonly minItems: 1;
            };
        };
    };
};
export type RuleOptions = FromSchema<typeof schema>;
export declare const rule: GraphQLESLintRule<RuleOptions>;
export {};
