import { GraphQLESLintRule } from '../types.cjs';
import { FromSchema } from 'json-schema-to-ts';
declare const schema: {
    readonly type: "array";
    readonly minItems: 1;
    readonly maxItems: 1;
    readonly items: {
        readonly type: "object";
        readonly additionalProperties: false;
        readonly required: readonly ["disallow"];
        readonly properties: {
            readonly disallow: {
                readonly items: {
                    readonly enum: readonly ["mutation", "subscription"];
                };
                readonly type: "array";
                readonly uniqueItems: true;
                readonly minItems: 1;
            };
        };
    };
};
export type RuleOptions = FromSchema<typeof schema>;
export declare const rule: GraphQLESLintRule<RuleOptions>;
export {};
