import { Kind } from 'graphql';
import { GraphQLESLintRule } from '../types.cjs';
declare const ALLOWED_KINDS: readonly [Kind.OBJECT_TYPE_DEFINITION, Kind.INTERFACE_TYPE_DEFINITION, Kind.ENUM_TYPE_DEFINITION, Kind.SCALAR_TYPE_DEFINITION, Kind.INPUT_OBJECT_TYPE_DEFINITION, Kind.UNION_TYPE_DEFINITION, Kind.DIRECTIVE_DEFINITION, Kind.FIELD_DEFINITION, Kind.INPUT_VALUE_DEFINITION, Kind.ENUM_VALUE_DEFINITION, Kind.OPERATION_DEFINITION];
type AllowedKind = typeof ALLOWED_KINDS[number];
export type RuleOptions = [
    {
        types?: boolean;
        rootField?: boolean;
    } & {
        [key in AllowedKind]?: boolean;
    }
];
export declare const rule: GraphQLESLintRule<RuleOptions>;
export {};
