import { GraphQLESLintRule } from '../types.js';
import { FromSchema } from 'json-schema-to-ts';
declare const schema: {
    readonly type: "array";
    readonly maxItems: 1;
    readonly items: {
        readonly type: "object";
        readonly additionalProperties: false;
        readonly properties: {
            readonly acceptedIdNames: {
                readonly default: readonly ["id"];
                readonly type: "array";
                readonly uniqueItems: true;
                readonly minItems: 1;
                readonly items: {
                    readonly type: "string";
                };
            };
            readonly acceptedIdTypes: {
                readonly default: readonly ["ID"];
                readonly type: "array";
                readonly uniqueItems: true;
                readonly minItems: 1;
                readonly items: {
                    readonly type: "string";
                };
            };
            readonly exceptions: {
                readonly type: "object";
                readonly additionalProperties: false;
                readonly properties: {
                    readonly types: {
                        readonly description: "This is used to exclude types with names that match one of the specified values.";
                        readonly type: "array";
                        readonly uniqueItems: true;
                        readonly minItems: 1;
                        readonly items: {
                            readonly type: "string";
                        };
                    };
                    readonly suffixes: {
                        readonly description: "This is used to exclude types with names with suffixes that match one of the specified values.";
                        readonly type: "array";
                        readonly uniqueItems: true;
                        readonly minItems: 1;
                        readonly items: {
                            readonly type: "string";
                        };
                    };
                };
            };
        };
    };
};
export type RuleOptions = FromSchema<typeof schema>;
export declare const rule: GraphQLESLintRule<RuleOptions>;
export {};
